> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/get-started/faq/snapshot.md).

# How do I use the snapshot version of Apryse Android?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

If you are [integrating Apryse using Gradle](/android/get-started/integration.md), you can try out a snapshot of the next version of Apryse Android by following the steps below. Alternatively, if you are integrating Apryse manually via AAR or from source, you can get the latest snapshot version at our [nightly builds](https://dev.apryse.com/nightly).

{% hint style="info" %}
This tutorial assumes that your project has integrated the [Apryse libraries by following the Gradle integration guide ](/android/get-started/integration.md).
{% endhint %}

1. In the `settings.gradle` file **in your project's root directory**, change the url to use the snapshot Maven repository:

{% tabs %}
{% tab title="Groovy" %}
{% code lineNumbers="true" %}

```groovy
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
        maven {
            url "https://pdftron-maven.s3.amazonaws.com/snapshot"
        }
        jcenter() // Warning: this repository is going to shut down soon
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

1. Then in the `build.gradle` file in your **app module's directory**, update the Apryse library versions to the latest snapshot version (typically named following the convention X.X.X-betaX):

{% tabs %}
{% tab title="Groovy" %}
{% code lineNumbers="true" %}

```groovy
dependencies {
    // Update Apryse versions to the snapshot versions
    implementation "com.pdftron:pdftron:X.X.X-betaX"
    implementation "com.pdftron:tools:X.X.X-betaX"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/get-started/faq/snapshot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
